@use '../abstracts/' as a;



/* =================================================================================
HEADER WRAPPER
===================================================================================*/

@mixin header-wrapper__card {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right;
    transform-origin: center right;
    position: absolute;
    width: 100%;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
    width: 100%;
    }


.header-wrapper {
position: relative;
height: a.$header_section_height;
width: 100%;
overflow: hidden;


&__front {
    background-image: url("/assets/Mask group_big.png");
    @include header-wrapper__card;
    animation: change-background-stars 4s infinite;
    }   
&__middle {
    background-image: url("/assets/glowing_stars.png");
    @include header-wrapper__card;
    animation: change-background-glow 4s infinite;
    animation-delay: 0.5s;
    } 
&__back {
    background-image: url("../assets/Desktop_Backgrounds_1920x1200_6\ 3.png");
    @include header-wrapper__card;
    }

&__text{
        display: flex;
        flex-direction: column;
        color: a.$white;
        align-items: center;
        justify-content: center;
        height: a.$header_section_height;
        position: absolute;
        width: 100%;
        left: 0px;
        right: 0px;
        top: 0px;
        bottom: 0px;
        width: 100%;
        z-index: 99999;
        

        h1 {
            text-align: center;
            font-size: a.$font-size-header1;
            @include a.h1;
        }

        h3 {
            text-align: center;
            font-size: a.$font-size-header3;
            font-family: a.$font-family-menu;
            padding-left: 10px;
            padding-right: 10px;
            @include a.h3;
        }
    }

&__top_placeholder_logo {
        transition-delay: 0.3s;
        transition: ease-in-out;
        transition-duration: 0.8s;
        z-index: 9999;
        &:hover {
        transform: scale(-1.3, 1.3);
        }
    }
    

}

/* =================================================================================
HEADER BACKGROUND ANIMATIONS 
===================================================================================*/

@keyframes change-background-glow {
0% {
    opacity: 0;
   }
50% {
    opacity: 1;
    }
100% {
    opacity: 0;
    }
}


@keyframes change-background-stars {
0% {
    transform: scale(1);
   }
50% {
    transform: scale(1.05);
   }
100% {
    transform: scale(1);
   }
}


/* =================================================================================
ARTICLE SECTION
===================================================================================*/
.article {
&__main-header{
padding-top: 50px;
text-align: center;
font-family: a.$font-family-header;
font-size: a.$font-size-header2;
@include a.h2;
@media (max-width: a.$max-width) {
    text-align: left;
    padding-left: 10px;
    }
 }

&__secondary-header{
text-align: center;
font-family: a.$font-family-menu;
@include a.h3;
font-size: a.$font-size-header3;
@media (max-width: a.$max-width) {
    text-align: left;
    padding-left: 10px;
    }
}

&__text-columns{
    column-count: 2;
    text-align: justify;
    padding: 20px;
    @media (max-width: a.$max-width) {
            column-count: 1;
            margin-left: 10px;
            margin-right: 10px;
            text-align: left;
            }
}
}

.form_button_read_more{
text-align: center;
padding-top: 50px;
padding-bottom: 50px;
@media (max-width: a.$max-width) {
        text-align: left;
        padding-left: 10px;
        }
&__button {
    width: 115px;
    height: 36px;
    border-radius: 20px;
    background-color:a.$logo_blue;
    border: none;
    color: a.$white;
    padding: 5px 3px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    transform-origin: left top;
    transition: ease-in-out 0.4s;
    &:hover {    
    transform: rotate(10deg);
    }

} 
}

/* =================================================================================
LEARN MORE
===================================================================================*/

.section_learn_more {
display: flex;
align-items: center;
flex-direction: column;
justify-content: center;

text-align: center;
background-image: url("../assets/IMG_1334_72dpi_RGB_ 1.png");
background-position: center center;  
background-repeat: no-repeat;
background-size: cover;
height: 666px;
margin-bottom: 0;

&__button_play_video{
border-radius: 50%;
background-color:a.$white;
text-align: center;
font-size: 80px;
cursor: pointer;
color: a.$logo_blue;
height: 145px;
width: 145px;
line-height: 145px;
transition: ease-in-out;
transition-duration: 0.2s;
border-color: transparent;
padding: 0px 0px 8px 14px;
&:hover{
background-color:a.$logo_blue;
transform: scale(1.1);
color: a.$white;
}
}
h2{
    text-align: center;
    color: a.$white;
    font-family: a.$font-family-header;
    font-size: a.$font-size-header2;
    @include a.h2;
}

h3{
text-align: center;
    font-family: a.$font-family-menu;
    @include a.h3;
    color: a.$white;
    font-size: a.$font-size-header3;
}
}
